SORT(1)

NAZWA
sort - sortuje wiersze plików tekstowych

SKŁADNIA
sort [OPCJA]... [PLIK]...
sort [OPCJA]... --files0-from=P

OPIS

Wypisuje posortowaną zawartość wszystkich PLIKÓW na standardowe wyjście.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich. Opcje określające kolejność:

-b, --ignore-leading-blanks
    ignoruje początkowe znaki odstępu

-d, --dictionary-order
    bierze pod uwagę wyłącznie litery, cyfry i znaki odstępu

-f, --ignore-case
    traktuje małe litery jak wielkie

-g, --general-numeric-sort
    porównuje według wartości liczbowej

-i, --ignore-nonprinting
    bierze pod uwagę wyłącznie znaki drukowalne

-M, --month-sort
    porządek: (nieznane) < sty < ... < gru

-h, --human-numeric-sort
    porównuje liczby w formacie czytelnym dla ludzi (np. 2K, 1G)

-n, --numeric-sort
    porównuje zgodnie z liczbową wartością łańcucha

-R, --random-sort
    shuffle, but group identical keys. See shuf(1)

--random-source=PLIKI
    pozyskuje losowe bajty z PLIKU

-r, --reverse
    odwraca porządek sortowania

--sort=SŁOWO
    sortuje zgodnie ze SŁOWEM: general-numeric - odpowiednik -g, human-numeric - -h, month - -M, numeric - -n, random - -R, version - -V

-V, --version-sort
    sortuje według liczb (numerów wersji) w tekście

Inne opcje

--batch-size=LICZBA-POŁĄCZEŃ
    łączy nie więcej niż LICZBA-POŁĄCZEŃ wejść naraz, w przypadku większej liczby używa plików tymczasowych

-c, --check, --check=diagnose-first
    tylko sprawdza posortowanie wejście, nie sortuje

-C, --check=quiet, --check=silent
    jak -c, lecz nie informuje o pierwszym nieprawidłowym wierszu

--compress-program=PROGRAM
    kompresuje pliki tymczasowe PROGRAMEM, dekompresuje tym samym programem, z opcją -d

--debug
    odnotowuje część wiersza użytą do sortowania i ostrzega o dyskusyjnym sposobie użycia na standardowym wyjściu błędów

--files0-from=P
    odczytuje wejście z plików o nazwach zakończonym znakiem NUL wypisanych w P, jeśli jako P podano -, to nazwy są odczytywane ze standardowego wejścia

-k, --key=DEF-KLUCZA
    sortuje za pomocą klucza; DEF-KLUCZA daje położenie i typ

-m, --merge
    łączy pliki posortowane wcześniej, nie sortuje

-o, --output=PLIK
    wypisuje wynik do PLIKU zamiast na standardowe wyjście

-s, --stable
    stabilizuje sortowanie, wyłączając porównywanie końcowe

-S, --buffer-size=ROZMIAR
    określa ROZMIAR głównego bufora pamięci

-t, --field-separator=SEPARATOR
    używa SEPARATORA zamiast przejścia ze znaków niepustych do pustych

-T, --temporary-directory=KATALOG
    używa KATALOGU na dane tymczasowe, zamiast zmiennej $TMPDIR lub /tmp, opcja użyta wielokrotnie definiuje wiele katalogów

--parallel=N
    zmienia liczbę równoległych przebiegów sortowania na N

-u, --unique
     z opcją -c: sprawdza czy wiersze są unikalne
     bez opcji -c: wyświetla tylko pierwszy z identycznych wierszy

-z, --zero-terminated
    kończy wiersze bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

DEF-KLUCZA ma następującą składnię: NR-POLA[.POZYCJA-ZNAKU][OPCJE],NR-POLA[.POZYCJA-ZNAKU][OPCJE] dla pozycji startowej i końcowej, gdzie NR-POLA i POZYCJA-ZNAKU są liczbami, liczonymi od 1, a pozycja końcowa jest domyślnie końcem wiersza. Jeśli nie podano opcji -t ani -b, znaki w polu są liczone od początku poprzedzającego odstępu. OPCJE to jedna lub więcej liter oznaczających opcje [bdfgiMhnRrV], które przesłaniają globalne opcje kolejności dla danego klucza. Jeśli nie podano klucza, jako klucz używany jest cały wiersz. Do diagnozowania niepoprawnego użycia klucza służy opcja --debug.

Po ROZMIARZE mogą występować następujące przyrostki mnożące: % - 1% pamięci, b 1 K 1024 (domyślnie) itd. dla M, G, T, P, E, Z, Y.

 *** UWAGA ***
 Lokalne ustawienia regionalne (locale) określone przez zmienne środowiskowe wpływają na kolejność sortowania. Proszę użyć LC_ALL=C, aby otrzymać tradycyjny porządek sortowania, który używa dosłownych wartości bajtów.

AUTOR
Napisane przez Mike'a Haertela i Paula Eggerta.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2022 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
shuf(1), uniq(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/sort>
lub lokalnie, za pomocą info '(coreutils) sort invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.